%define	githash	6fe2f4f00a3bb8d3966f68a1dd947a1c96bdcfec
%define	shorthash %(c=%{githash}; echo ${c:0:7})

Name:		usbview
Version:	2.0
Release:	%mkrel 2
Summary:	USB topology and device viewer
License:	GPL
Group:		System/Kernel and hardware 
URL:		https://github.com/gregkh/usbview
Source0:	https://github.com/gregkh/usbview/archive/%{name}-%{shorthash}.tar.xz
Source1:	%{name}.pclos
Source2:	%{name}-pkexec
BuildRequires:	gtk+3-devel
BuildRequires:	gnome-common
BuildRequires:	autoconf
BuildRequires:	imagemagick
BuildRoot:	%_tmppath/%{name}-buildroot
Requires:	initscripts >= 9.25-15

%description
USBView is a GTK program that displays the topography of the devices that are
plugged into the USB bus on a Linux machine. It also displays information on
each of the devices. This can be useful to determine if a device is working
properly or not. 

%prep
%setup -qn %{name}-%{shorthash}
cp %SOURCE1 README.pclos

# fix app launch
sed -i -e 's|pkexec /usr/bin/usbview|usbview-pkexec|g' %{name}.desktop

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m 0755 %SOURCE2 %{buildroot}/%{_bindir}/%{name}-pkexec

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Monitoring;" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%{update_menus}

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
%{clean_menus}

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL README* TODO 
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.*
%{_mandir}/man?/%{name}.*
%{_datadir}/polkit-1/actions/org.freedesktop.pkexec.usbview.policy


%changelog
* Mon Jan 15 2018 Zen Subz <techars21 at gmail dot com> - 2.0-2pclos2018
- Use polkit to launch the app
- Add Tex's advice on usbview
- Update to git snapshot 6fe2f4f

* Sat Apr 19 2014 bb <bb> 2.0-1pclos2014
- update for kernels 3.12.x

* Wed Oct 13 2010 Texstar <texstar at gmail.com> 1.1-2pclos2010
- convert to tar.xz
- remove old menu entry
- add new xdg menu entry
- fix specfile release wrong

* Sun Oct 10 2010 Sproggy <desproggstr@gmail.com> 1.1-1pclos2010
- 1.1

* Fri Nov 03 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 1.0-5pclos2007
- Build for PCLinuxOS 2007
